# ACE_FIFO_Send Class Reference

Sender side for the bytestream C++ wrapper for UNIX FIFOs. More...

`#include <FIFO_Send.h>`

Inheritance diagram for ACE_FIFO_Send:

[legend]
Collaboration diagram for ACE_FIFO_Send:

[legend]
List of all members.

## Public Member Functions

| ACE_FIFO_Send (void)
| Default constructor.
| ACE_FIFO_Send (const ACE_TCHAR *rendezvous, int flags=O_WRONLY, int perms=ACE_DEFAULT_FILE_PERMS, LPSECURITY_ATTRIBUTES sa=0)
| Open up a bytestream named pipe for writing.
int | open (const ACE_TCHAR *rendezvous, int flags=O_WRONLY, int perms=ACE_DEFAULT_FILE_PERMS, LPSECURITY_ATTRIBUTES sa=0)
| Open up a bytestream named pipe for writing.
ssize_t | send (const void *buf, size_t len)
| Send <buf> of up to <len> bytes.
ssize_t | send_n (const void *buf, size_t len)
| Send <buf> of exactly <len> bytes (block until done).
void | dump (void) const
| Dump the state of an object.

## Public Attributes

| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Detailed Description

Sender side for the bytestream C++ wrapper for UNIX FIFOs.

## Constructor & Destructor Documentation

ACE_FIFO_Send::ACE_FIFO_Send | ( | void |  | ) |

| Default constructor.

ACE_FIFO_Send::ACE_FIFO_Send | ( | const ACE_TCHAR * | rendezvous,
|  | int | flags = `O_WRONLY`,
|  | int | perms = `ACE_DEFAULT_FILE_PERMS`,
|  | LPSECURITY_ATTRIBUTES | sa = `0`
| ) |

| Open up a bytestream named pipe for writing.

## Member Function Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL void ACE_FIFO_Send::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_FIFO. Reimplemented in ACE_FIFO_Send_Msg.

int ACE_FIFO_Send::open | ( | const ACE_TCHAR * | rendezvous,
|  | int | flags = `O_WRONLY`,
|  | int | perms = `ACE_DEFAULT_FILE_PERMS`,
|  | LPSECURITY_ATTRIBUTES | sa = `0`
| ) |

| Open up a bytestream named pipe for writing. Reimplemented from ACE_FIFO. Reimplemented in ACE_FIFO_Send_Msg.

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE ssize_t ACE_FIFO_Send::send | ( | const void * | buf,
|  | size_t | len
| ) |

| Send <buf> of up to <len> bytes. Reimplemented in ACE_FIFO_Send_Msg.

ACE_INLINE ssize_t ACE_FIFO_Send::send_n | ( | const void * | buf,
|  | size_t | len
| ) |

| Send <buf> of exactly <len> bytes (block until done).

## Member Data Documentation

ACE_FIFO_Send::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_FIFO. Reimplemented in ACE_FIFO_Send_Msg.

The documentation for this class was generated from the following files:

- FIFO_Send.h
- FIFO_Send.cpp
- FIFO_Send.inl